ru.bitel.bgbilling.modules.tv.access.event

## Class TvProductDeviceStateModifyEvent.ProductEntry

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.access.event.TvProductDeviceStateModifyEvent.ProductEntry

- Enclosing class:
    TvProductDeviceStateModifyEvent

      public static class TvProductDeviceStateModifyEvent.ProductEntry
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `deviceState`
    `int` | `productId`
    `int` | `productSpecId`
    `java.util.List<TvProductDeviceStateModifyEvent.ServiceEntry>` | `serviceEntryList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProductEntry()`
    `` | `ProductEntry(int productId, int productSpecId, short deviceState, java.util.List<TvProductDeviceStateModifyEvent.ServiceEntry> serviceEntryList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### productId

          public final int productId

    - #### productSpecId

          public final int productSpecId

    - #### deviceState

          public final short deviceState

    - #### serviceEntryList

          public final java.util.List<TvProductDeviceStateModifyEvent.ServiceEntry> serviceEntryList

  - ### Constructor Detail

    - #### ProductEntry

          protected ProductEntry()

    - #### ProductEntry

          public ProductEntry(int productId,
                              int productSpecId,
                              short deviceState,
                              java.util.List<TvProductDeviceStateModifyEvent.ServiceEntry> serviceEntryList)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`